Page MenuHomePhabricator

Make RESTBase take full request template for Parsoid requests
Closed, ResolvedPublic

Description

We need to be able to configure the whole request from RESTBase to Parsoid in order to provide a Host header when Parsoid API would live in Mediawiki. In order to achieve that we need to provide a full request template in the configuration instead of just the parsoid host.

Event Timeline

Pchelolo created this task.May 28 2019, 3:28 PM

We can also just add the header, since it is ignored by Parsoid/JS any way

Yes, but the paths are probably gonna be different as well..

CCicalese_WMF triaged this task as Medium priority.Jun 4 2019, 1:00 PM
eprodromou closed this task as Resolved.Nov 6 2019, 6:13 PM
eprodromou added a subscriber: eprodromou.

I guess this is working if Parsoid/PHP is in production.

Tgr added a comment.Nov 10 2019, 10:01 PM

I thought Parsoid/PHP is not using RESTBase?

IIRC, the current stage is to have Parsoid/PHP implement the same internal endpoints that are implemented by Parsoid/JS so it can be tested as a drop-in replacement. As Parsoid/JS is currently "behind" RESTBase, Parsoid/PHP will be too.

Once we've gotten Parsoid/PHP to the point where we can end the parallel maintenance of Parsoid/JS, we can start changing things further.